org.eclipse.jface.text.templates

## Class SimpleTemplateVariableResolver

- java.lang.Object
- - org.eclipse.jface.text.templates.TemplateVariableResolver
  - - org.eclipse.jface.text.templates.SimpleTemplateVariableResolver

Direct Known Subclasses:
  GlobalTemplateVariables.Cursor, GlobalTemplateVariables.Date, GlobalTemplateVariables.Dollar, GlobalTemplateVariables.Selection, GlobalTemplateVariables.Time, GlobalTemplateVariables.User, GlobalTemplateVariables.Year

    public class SimpleTemplateVariableResolver
    extends TemplateVariableResolver

A simple template variable resolver, which always evaluates to a defined string.

Clients may instantiate and extend this class.

Since:
  3.0

### Constructor Summary

Constructors
`protected` `SimpleTemplateVariableResolver(String type, String description)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected boolean` `isUnambiguous(TemplateContext context)` Returns always `true`, since simple variables are normally unambiguous.
`protected String` `resolve(TemplateContext context)` Returns an instance of the type resolved by the receiver available in `context`.
`void` `setEvaluationString(String evaluationString)` Sets the string to which this variable evaluates.

### Methods inherited from class org.eclipse.jface.text.templates.TemplateVariableResolver

`getDescription, getType, resolve, resolveAll, setDescription, setType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleTemplateVariableResolver

    protected SimpleTemplateVariableResolver(String type,
                                             String description)

### Method Detail

#### setEvaluationString

    public final void setEvaluationString(String evaluationString)

Sets the string to which this variable evaluates.

Parameters:
  `evaluationString` - the evaluation string, may be `null`.

#### resolve

    protected String resolve(TemplateContext context)

Description copied from class: `TemplateVariableResolver`
Returns an instance of the type resolved by the receiver available in `context`. To resolve means to provide a binding to a concrete text object (a `String`) in the given context.

The default implementation looks up the type in the context.

Overrides:
  `resolve` in class `TemplateVariableResolver`
Parameters:
  `context` - the context in which to resolve the type
Returns:
  the name of the text object of this type, or `null` if it cannot be determined

#### isUnambiguous

    protected boolean isUnambiguous(TemplateContext context)

Returns always `true`, since simple variables are normally unambiguous.

Overrides:
  `isUnambiguous` in class `TemplateVariableResolver`
Parameters:
  `context` - the context in which the resolved check should be evaluated
Returns:
  `true`